import {Component, OnInit} from '@angular/core';
import {User} from '../../models/user';
import {StorageService} from '../../services/storage.service';
import {Router} from '@angular/router';

@Component({
	selector: 'app-header',
	templateUrl: './header.component.html',
	styleUrls: ['./header.component.scss']
})
export class HeaderComponent implements OnInit {

	showProfilePopOver: boolean = false;
	user?: User;

	constructor(private router: Router) {
		this.user = StorageService.getUserInfo();
	}

	ngOnInit(): void {
	}

	openProfile(): void {
		this.showProfilePopOver = true;
	}

	closeProfile(): void {
		this.showProfilePopOver = false;
	}


	getUserName(): string {
		return this.user ? this.user.firstName : 'Logged out';
	}

	navigate(path: String): void {
		this.router.navigate([path]);
	}

	toggleMobileDropdown(): void {
		const dropdownContentStyle = document.getElementById('menu-mobile-dropdown-content')!.style;
		if (dropdownContentStyle.display == 'block') {
			dropdownContentStyle.display = 'none';
		} else {
			dropdownContentStyle.display = 'block';
		}
	}
}
